png++ 0.2.10

Classes | Namespaces
image.hpp File Reference

Go to the source code of this file.

## Classes
class | png::image< pixel, pixel_buffer_type >
| Class template to represent PNG image. More...
struct | png::image< pixel, pixel_buffer_type >::transform_identity
| The default io transformation: does nothing. More...
class | png::image< pixel, pixel_buffer_type >::streaming_impl< base_impl >
| A common base class template for pixel_consumer and pixel_generator classes. More...
class | png::image< pixel, pixel_buffer_type >::pixel_consumer
| The pixel buffer adapter for reading pixel data. More...
class | png::image< pixel, pixel_buffer_type >::pixel_generator
| The pixel buffer adapter for writing pixel data. More...

## Namespaces
namespace | png